## com.sun.jersey.core.header
Class HttpDateFormat

    java.lang.Object
      com.sun.jersey.core.header.HttpDateFormat

    public class HttpDateFormat

extends java.lang.Object

Helper class for HTTP specified date formats.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`static java.util.List<java.text.SimpleDateFormat>` | `getDateFormats()` Return an unmodifiable list of HTTP specified date formats to use for parsing or formating `Date`.
`static java.text.SimpleDateFormat` | `getPreferedDateFormat()` Get the preferred HTTP specified date format (RFC 1123).
`static java.util.Date` | `readDate(java.lang.String date)` Read a date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDateFormats

    public static java.util.List<java.text.SimpleDateFormat> getDateFormats()

  Return an unmodifiable list of HTTP specified date formats to use for parsing or formating `Date`.

  The list of date formats are scoped to the current thread and may be used without requiring to synchronize access to the instances when parsing or formatting.

  Returns:
    the list of data formats.

### getPreferedDateFormat

    public static java.text.SimpleDateFormat getPreferedDateFormat()

  Get the preferred HTTP specified date format (RFC 1123).

  The date format is scoped to the current thread and may be used without requiring to synchronize access to the instance when parsing or formatting.

  Returns:
    the preferred of data format.

### readDate

    public static java.util.Date readDate(java.lang.String date)
                                   throws java.text.ParseException

  Read a date.

  Parameters:
    `date` - the date as a string.
  Returns:
    the date
  Throws:
    `java.text.ParseException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.